Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class CrossoverScalingControl

    java.lang.Object
      edu.uci.ics.jung.visualization.control.CrossoverScalingControl

All Implemented Interfaces:
  ScalingControl

Direct Known Subclasses:
  AbsoluteCrossoverScalingControl

public class CrossoverScalingControl
extends Object
implements ScalingControl

A scaling control that has a crossover point. When the overall scale of the view and model is less than the crossover point, the scaling is applied to the view's transform and the graph nodes, labels, etc grow smaller. This preserves the overall shape of the graph. When the scale is larger than the crossover, the scaling is applied to the graph layout. The graph spreads out, but the vertices and labels grow no larger than their original size.

Author:
  Tom Nelson

Field Summary
`protected double` | `crossover` Point where scale crosses over from view to layout.

Constructor Summary
`CrossoverScalingControl()`

Method Summary
`double` | `getCrossover()` Returns the current crossover value.
`void` | `scale(VisualizationViewer vv, float amount, Point2D at)` zoom the display in or out
`void` | `setCrossover(double crossover)` Sets the crossover point to the specified value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### crossover

    protected double crossover

  Point where scale crosses over from view to layout.

Constructor Detail

### CrossoverScalingControl

    public CrossoverScalingControl()

Method Detail

### setCrossover

    public void setCrossover(double crossover)

  Sets the crossover point to the specified value.

### getCrossover

    public double getCrossover()

  Returns the current crossover value.

### scale

    public void scale(VisualizationViewer vv,
                      float amount,
                      Point2D at)

  Description copied from interface: `ScalingControl`
  zoom the display in or out

  Specified by:
    `scale` in interface `ScalingControl`
  Parameters:
    `vv` - the VisualizationViewer
    `amount` - how much to adjust scale by
    `at` - where to adjust scale from
  See Also:
    `ScalingControl.scale(VisualizationViewer, float, Point2D)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD